#define	type_Qmgr_Channel	qbuf
#define	type_Qmgr_QID	type_UNIV_PrintableString

struct type_Qmgr_UserList {
        struct type_Qmgr_RecipientId *RecipientId;
        struct type_Qmgr_UserList *next;
};

struct type_Qmgr_RecipientId {
    int     parm;
};

struct type_Qmgr_ProcMsg {
    struct type_Qmgr_QID *qid;
    struct type_Qmgr_UserList *users;
    struct type_Qmgr_Channel *channel;
};

struct type_Qmgr_DeliveryStatus {
        struct type_Qmgr_IndividualDeliveryStatus *IndividualDeliveryStatus;
        struct type_Qmgr_DeliveryStatus *next;
};

struct type_Qmgr_IndividualDeliveryStatus {
    struct type_Qmgr_RecipientId *recipient;
    int     status;
#define	int_Qmgr_status_success	0
#define	int_Qmgr_status_permanentFailure	1
#define	int_Qmgr_status_messageFailure	2
#define	int_Qmgr_status_mtaFailure	3
#define	int_Qmgr_status_mtaAndMessageFailure	4
};
