/* rfc822_x400.c: address conversion from 822 to x400 */

# ifndef lint
static char Rcsid[] = "@(#)$Header: /cs/research/pp/hubris/pp-beta/Lib/parse/RCS/rfc822_x400.c,v 5.0 90/09/20 16:09:46 pp Exp Locker: pp $";
# endif

/*
 * $Header: /cs/research/pp/hubris/pp-beta/Lib/parse/RCS/rfc822_x400.c,v 5.0 90/09/20 16:09:46 pp Exp Locker: pp $
 *
 * $Log:	rfc822_x400.c,v $
 * Revision 5.0  90/09/20  16:09:46  pp
 * rcsforce : 5.0 public release
 * 
 */



#include "head.h"
#include "adr.h"
#include "or.h"




/* ---------------------  Begin  Routines  -------------------------------- */


extern char	or_error[];

int rfc822_x400 (ad, por)
ADDR    *ad;
OR_ptr	*por;
{
	char            tbuf[LINESIZE],
			*p;

	*por = NULLOR;

	PP_DBG (("rfc822_x400('%s')", ad->ad_value));

	p = ad->ad_r822adr ? ad->ad_r822adr : ad->ad_value;

	if (or_rfc2or_aux (p, por, 0) == NOTOK)
	{
		or_free (*por);
		*por = NULLOR;
		PP_DBG (("rfc822_x400/Conversion failed (%s)", or_error));
		return RP_PARSE;
	}

	or_default (*por);

	or_or2std (*por, tbuf, FALSE);

	if (ad->ad_r400adr)
		free (ad->ad_r400adr);

	ad->ad_r400adr = strdup (tbuf);

	PP_DBG (("rfc822_x400 (tbuf=%s)", tbuf));

	return (RP_AOK);
}

