/* x400_add.c: adds the x400 part of the address */

# ifndef lint
static char Rcsid[] = "@(#)$Header: /cs/research/pp/hubris/pp-beta/Lib/parse/RCS/x400_add.c,v 5.0 90/09/20 16:09:49 pp Exp Locker: pp $";
# endif

/*
 * $Header: /cs/research/pp/hubris/pp-beta/Lib/parse/RCS/x400_add.c,v 5.0 90/09/20 16:09:49 pp Exp Locker: pp $
 *
 * $Log:	x400_add.c,v $
 * Revision 5.0  90/09/20  16:09:49  pp
 * rcsforce : 5.0 public release
 * 
 */



#include "head.h"
#include "adr.h"
#include "or.h"


/* ---------------------  Begin  Routines  -------------------------------- */


void x400_add (ad)
ADDR    *ad;
{
	OR_ptr          or;
	int             retval;
	char            tbuf[LINESIZE];

	PP_DBG (("x400_add (%s)", ad->ad_value));

	retval = or_rfc2or(ad->ad_r822adr ?
			   ad->ad_r822adr : ad->ad_value, &or);

	if (retval == NOTOK){
		PP_TRACE (("x400_add (or_rfc2or failed!)"));
		ad->ad_parse_stat = RP_PARSE;
		return;
	}

	or = or_default (or);

	or_or2std (or, tbuf, FALSE);

	or_free (or);

	if (ad->ad_r400adr)
		free (ad->ad_r400adr);

	ad->ad_r400adr = strdup (tbuf);

	PP_DBG (("x400_add returns (tbuf=%s)", tbuf));
}
